stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Types.Urls

# Documentation

data Urls #

Constructors

Urls |
Fields urlsLatestSnapshot :: !Text urlsLtsBuildPlans :: !Text urlsNightlyBuildPlans :: !Text

Instances

Show Urls # |
Methods showsPrec :: Int -> Urls -> ShowS # show :: Urls -> String # showList :: [Urls] -> ShowS #
FromJSON (WithJSONWarnings Urls) # |
Methods parseJSON :: Value -> Parser (WithJSONWarnings Urls) # parseJSONList :: Value -> Parser [WithJSONWarnings Urls] #

data UrlsMonoid #

Constructors

UrlsMonoid |
Fields urlsMonoidLatestSnapshot :: !(First Text) urlsMonoidLtsBuildPlans :: !(First Text) urlsMonoidNightlyBuildPlans :: !(First Text)

Instances

Show UrlsMonoid # |
Methods showsPrec :: Int -> UrlsMonoid -> ShowS # show :: UrlsMonoid -> String # showList :: [UrlsMonoid] -> ShowS #
Generic UrlsMonoid # |
Associated Types type Rep UrlsMonoid :: * -> * # Methods from :: UrlsMonoid -> Rep UrlsMonoid x # to :: Rep UrlsMonoid x -> UrlsMonoid #
Monoid UrlsMonoid # |
Methods mempty :: UrlsMonoid # mappend :: UrlsMonoid -> UrlsMonoid -> UrlsMonoid # mconcat :: [UrlsMonoid] -> UrlsMonoid #
FromJSON (WithJSONWarnings UrlsMonoid) # |
Methods parseJSON :: Value -> Parser (WithJSONWarnings UrlsMonoid) # parseJSONList :: Value -> Parser [WithJSONWarnings UrlsMonoid] #
type Rep UrlsMonoid # |
type Rep UrlsMonoid = D1 (MetaData "UrlsMonoid" "Stack.Types.Urls" "stack-1.4.0-5VbagGyw9hyAgBJq8WQvrq" False) (C1 (MetaCons "UrlsMonoid" PrefixI True) ((:*:) (S1 (MetaSel (Just Symbol "urlsMonoidLatestSnapshot") NoSourceUnpackedness SourceStrict DecidedStrict) (Rec0 (First Text))) ((:*:) (S1 (MetaSel (Just Symbol "urlsMonoidLtsBuildPlans") NoSourceUnpackedness SourceStrict DecidedStrict) (Rec0 (First Text))) (S1 (MetaSel (Just Symbol "urlsMonoidNightlyBuildPlans") NoSourceUnpackedness SourceStrict DecidedStrict) (Rec0 (First Text))))))